Bug 442501 - lshw hangs at PCI(sysfs)
lshw hangs at PCI(sysfs)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lshw (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 03:06 EDT by Sjoerd Mullender
Modified: 2008-05-13 11:28 EDT (History)
0 users

See Also:
Fixed In Version: B.02.12.01-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 20:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2008-04-15 03:06:17 EDT
Description of problem:
When running lshw as root, more often than not it "hangs".  The last thing it
says is PCI (sysfs).  While it is hanging, it uses 100% CPU.  An strace shows it
doing mmap and unmmap calls.

I saw a bug report for the same thing with patch here:
<http://ezix.org/project/ticket/340>.


Version-Release number of selected component (if applicable):
lshw-B.02.12.01-1.fc8.x86_64

How reproducible:
90%

Steps to Reproduce:
1.lshw
2.
3.
  
Actual results:
100% use of CPU.

Expected results:
Hardware information.

Additional info:
This is on a Dell Inspiron 1720.
Comment 2 Sjoerd Mullender 2008-04-15 14:35:51 EDT
Works like a charm.  Thanks for the quick response.
Comment 3 Fedora Update System 2008-04-15 16:45:05 EDT
lshw-B.02.12.01-5.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-04-15 16:46:58 EDT
lshw-B.02.12.01-5.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-04-21 20:02:20 EDT
lshw-B.02.12.01-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-04-21 20:02:38 EDT
lshw-B.02.12.01-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-04-29 12:48:48 EDT
lshw-B.02.12.01-5.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-05-13 11:28:11 EDT
lshw-B.02.12.01-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.